/* @injected-header-start */
/*
 * boolean-resolve: 7e3c5c29f55d0586 color:#e0d328
 * object-constant: 6288eec153503052 color:#507cee
 * await-promise: 7a362a63368efbe6 color:#aa84aa
 * configure-process: d984b75e20e4c59d color:#2e2336
 * render-event: 342581f004b98b5e color:#1e231
 * component-component: a92804f68bf42c2e color:#cda204
 * async-result: f3d3117933ccaf07 color:#d9e74f
 * success-context: 24608952950ddbba color:#596d30
 * result-render: 689c33c0b90d66d4 color:#72c46b
 * number-boolean: dab445f332d5b54a color:#54e64e
 * observer-string: 180846257117b22b color:#a94990
 * constructor-string: e3115eac53bcfe1a color:#6602c4
 * validate-list: 2c7b682fc2187572 color:#7a7ba7
 * execute-component: f9804f79b5c0c5c7 color:#c7237a
 * prototype-execute: b7ab4f7a73bb58a3 color:#3e917
 * string-event: 325a1e45be824290 color:#e24ea8
 * resolve-parameter: adf5a130ab976398 color:#a8049c
 * string-return: 5b6a35468809239b color:#84c301
 * optimize-validate: 70f53607807f5782 color:#40edce
 */


/*
 * execute-configure: 2c560749171f7947 color:#58df56
 * event-number: 2fd6411d620532ad color:#fe7896
 * helper-callback: 334e227b91ad1c8b color:#22e002
 * implements-interface: 7d5b133a4c9b026d color:#1ad410
 * variable-event: ecadc69b03496d5d color:#326207
 * reject-constructor: f546f5b0136a2e06 color:#794e45
 * index-abstract: 6b98de28ed52ab76 color:#28ad34
 * manager-load: 8207b1e75650b40d color:#dab412
 * array-interface: f162349e7ed97315 color:#cfe774
 * request-function: 46cce4bf50c7c043 color:#3e3611
 * boolean-constant: 66d17059d657db94 color:#b0378f
 * parse-value: 7e58b8f827bca8da color:#9fd801
 * fetch-value: eeaedb0949166c01 color:#70ada3
 * transform-setup: 430a52896c6b1602 color:#44f418
 * handler-object: 7e1ada9cde5b2d4d color:#770e01
 * await-method: 02b6f9ae4952cd27 color:#adf31d
 * observer-interface: 5e6fb59db10753b8 color:#5473d2
 * constant-parameter: 2233c719ae143a4a color:#916b14
 * array-execute: e1e59a4281c29f9a color:#1e76ab
 */


/*
 * state-extends: 304b74c61f6df7ee color:#c88bf7
 * data-load: 6447041763be9ac3 color:#627533
 * await-service: 2ec5de6e850a6605 color:#6dc418
 * cache-data: 10ee816978f3f512 color:#2295c1
 * setup-state: 5d2473f523b4e3e8 color:#b41e33
 * observer-list: d012ae85a9fd2af5 color:#e5ad0c
 * initialize-parse: 6eaa74df1fc663c5 color:#cda9fb
 * module-storage: 746b825226d42ccc color:#ab4772
 * await-reject: 4376b6419e2d9528 color:#11203e
 * implements-validate: 5abec20fd8f70955 color:#470386
 * constructor-reject: f16ef5e7cfdeaa79 color:#221248
 * execute-helper: 31d502091ac6b9b9 color:#c90d6c
 */


/*
 * execute-return: 829bd60792d133af color:#c1cc90
 * helper-setup: 121a3db0e1218d0e color:#20913a
 * parameter-item: 41f0659729c1b2b6 color:#f6953b
 * callback-render: bf6a24a7a8069479 color:#43df5a
 * property-component: ea1c43ca3f0efc9b color:#5caf2e
 * initialize-observer: e1e90facd8732508 color:#a3fefa
 * optimize-string: 21a705726282edbd color:#156bc9
 * number-fetch: 4de04202974a7cef color:#6327d6
 * listener-prototype: 926e5a00897e7ae4 color:#c2784c
 * setup-variable: 58641e1cede9a84b color:#a71daf
 * process-component: a2a1913df9658ef6 color:#16aa0
 * promise-object: a5b16b5fa6788b83 color:#9be7cd
 * function-key: 93c7c39f933a4282 color:#514a62
 * success-success: cbb87a3f4ab1758c color:#f7bcf0
 * reject-index: cb3a26247ad47bab color:#ece906
 * update-array: be64e93dfa308f05 color:#ee780b
 * constant-request: 491360a5384fb020 color:#80f9d2
 * initialize-execute: 029d5b4f6acdd8fb color:#a0bda2
 * async-load: 1d48a97181b3127a color:#69ef0e
 */


/* @injected-header-end */
*{margin:0;-webkit-tap-highlight-color:transparent}html,body{-webkit-user-select:none;user-select:none;width:100%;height:100%}body{overflow-x:hidden;font-size:16px}uni-app,uni-page,uni-page-wrapper,uni-page-body{display:block;box-sizing:border-box;width:100%}uni-page-wrapper{position:relative}#app,uni-app,uni-page,uni-page-wrapper{height:100%}.uni-mask{position:fixed;z-index:999;top:0;right:0;left:0;bottom:0;background:rgba(0,0,0,.5)}.uni-fade-enter-active,.uni-fade-leave-active{transition-duration:.25s;transition-property:opacity;transition-timing-function:ease}.uni-fade-enter-from,.uni-fade-leave-active{opacity:0}.uni-loading,uni-button[loading]:before{background-color:transparent;background-image:url(data:image/svg+xml;base64,\ PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMjAiIGhlaWdodD0iMTIwIiB2aWV3Qm94PSIwIDAgMTAwIDEwMCI+PHBhdGggZmlsbD0ibm9uZSIgZD0iTTAgMGgxMDB2MTAwSDB6Ii8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjRTlFOUU5IiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0idHJhbnNsYXRlKDAgLTMwKSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iIzk4OTY5NyIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSgzMCAxMDUuOTggNjUpIi8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjOUI5OTlBIiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0icm90YXRlKDYwIDc1Ljk4IDY1KSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iI0EzQTFBMiIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSg5MCA2NSA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNBQkE5QUEiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoMTIwIDU4LjY2IDY1KSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iI0IyQjJCMiIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSgxNTAgNTQuMDIgNjUpIi8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjQkFCOEI5IiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0icm90YXRlKDE4MCA1MCA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNDMkMwQzEiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoLTE1MCA0NS45OCA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNDQkNCQ0IiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoLTEyMCA0MS4zNCA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNEMkQyRDIiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoLTkwIDM1IDY1KSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iI0RBREFEQSIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSgtNjAgMjQuMDIgNjUpIi8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjRTJFMkUyIiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0icm90YXRlKC0zMCAtNS45OCA2NSkiLz48L3N2Zz4=);background-repeat:no-repeat}.uni-loading{width:20px;height:20px;display:inline-block;vertical-align:middle;animation:uni-loading 1s steps(12,end) infinite;background-size:100%}@keyframes uni-loading{0%{transform:rotate3d(0,0,1,0)}to{transform:rotate3d(0,0,1,360deg)}}html{--primary-color: #007aff;--UI-BG: #fff;--UI-BG-1: #f7f7f7;--UI-BG-2: #fff;--UI-BG-3: #f7f7f7;--UI-BG-4: #4c4c4c;--UI-BG-5: #fff;--UI-FG: #000;--UI-FG-0: rgba(0, 0, 0, .9);--UI-FG-HALF: rgba(0, 0, 0, .9);--UI-FG-1: rgba(0, 0, 0, .5);--UI-FG-2: rgba(0, 0, 0, .3);--UI-FG-3: rgba(0, 0, 0, .1)}uni-page[data-type] uni-page-body{background-color:transparent}.uni-async-error{position:absolute;left:0;right:0;top:0;bottom:0;color:#999;padding:100px 10px;text-align:center}.uni-async-loading{box-sizing:border-box;width:100%;padding:50px;text-align:center}.uni-async-loading .uni-loading{width:30px;height:30px}uni-tabbar{display:block;box-sizing:border-box;width:100%;z-index:998}.uni-tabbar{display:flex;z-index:998;box-sizing:border-box}.uni-tabbar-top,.uni-tabbar-bottom,.uni-tabbar-top .uni-tabbar,.uni-tabbar-bottom .uni-tabbar{position:fixed;left:var(--window-left);right:var(--window-right)}.uni-app--showlayout+.uni-tabbar-top,.uni-app--showlayout+.uni-tabbar-bottom,.uni-app--showlayout+.uni-tabbar-top .uni-tabbar,.uni-app--showlayout+.uni-tabbar-bottom .uni-tabbar{left:var(--window-margin);right:var(--window-margin)}.uni-tabbar-bottom .uni-tabbar{bottom:0;padding-bottom:0;padding-bottom:constant(safe-area-inset-bottom);padding-bottom:env(safe-area-inset-bottom)}.uni-tabbar~.uni-placeholder{width:100%;margin-bottom:0;margin-bottom:constant(safe-area-inset-bottom);margin-bottom:env(safe-area-inset-bottom)}.uni-tabbar *{box-sizing:border-box}.uni-tabbar__item{display:flex;justify-content:center;align-items:center;flex-direction:column;flex:1;font-size:0;text-align:center;-webkit-tap-highlight-color:rgba(0,0,0,0)}.uni-tabbar__bd{position:relative;display:flex;flex-direction:column;align-items:center;justify-content:center;cursor:pointer}.uni-tabbar__icon{position:relative;display:inline-block;margin-top:5px}.uni-tabbar__icon.uni-tabbar__icon__diff{margin-top:0;width:34px;height:34px}.uni-tabbar__icon img{width:100%;height:100%}.uni-tabbar__iconfont{font-family:UniTabbarIconFont}.uni-tabbar__label{position:relative;text-align:center;font-size:10px}.uni-tabbar-border{position:absolute;left:0;top:0;width:100%;height:1px;transform:scaleY(.5)}.uni-tabbar__reddot{position:absolute;top:2px;right:0;width:12px;height:12px;border-radius:50%;background-color:#f43530;color:#fff;transform:translate(40%)}.uni-tabbar__badge{width:auto;height:16px;line-height:16px;border-radius:16px;min-width:16px;padding:0 2px;font-size:12px;text-align:center;white-space:nowrap}.uni-tabbar__mid{display:flex;justify-content:center;position:absolute;bottom:0;background-size:100% 100%}.uni-app--showtabbar uni-page-wrapper{display:block;height:calc(100% - var(--tab-bar-height));height:calc(100% - var(--tab-bar-height) - constant(safe-area-inset-bottom));height:calc(100% - var(--tab-bar-height) - env(safe-area-inset-bottom))}uni-page[data-type] uni-page-wrapper{height:100%}.uni-app--showtabbar uni-page-wrapper:after{content:"";display:block;width:100%;height:var(--tab-bar-height);height:calc(var(--tab-bar-height) + constant(safe-area-inset-bottom));height:calc(var(--tab-bar-height) + env(safe-area-inset-bottom))}.uni-app--showtabbar uni-page-head[uni-page-head-type=default]~uni-page-wrapper{height:calc(100% - 44px - var(--tab-bar-height));height:calc(100% - 44px - constant(safe-area-inset-top) - var(--tab-bar-height) - constant(safe-area-inset-bottom));height:calc(100% - 44px - env(safe-area-inset-top) - var(--tab-bar-height) - env(safe-area-inset-bottom))}uni-page-refresh{position:absolute;top:0;width:100%;height:40px;display:block;box-sizing:border-box}.uni-page-refresh{position:absolute;top:-45px;left:50%;transform:translate3d(-50%,0,0);width:40px;height:40px;justify-content:center;align-items:center;background:#fff;border-radius:50%;box-shadow:0 1px 6px rgba(0,0,0,.118),0 1px 4px rgba(0,0,0,.118);display:none;z-index:997}.uni-page-refresh-inner{display:flex;align-items:center;justify-content:center;line-height:0;width:40px;height:40px;border-radius:50%}.uni-page-refresh--pulling .uni-page-refresh,.uni-page-refresh--aborting .uni-page-refresh,.uni-page-refresh--reached .uni-page-refresh,.uni-page-refresh--refreshing .uni-page-refresh,.uni-page-refresh--restoring .uni-page-refresh{display:flex}.uni-page-refresh--pulling .uni-page-refresh__spinner,.uni-page-refresh--aborting .uni-page-refresh__spinner,.uni-page-refresh--reached .uni-page-refresh__spinner,.uni-page-refresh--refreshing .uni-page-refresh__icon,.uni-page-refresh--restoring .uni-page-refresh__icon{display:none}.uni-page-refresh--refreshing .uni-page-refresh__spinner{transform-origin:center center;animation:uni-page-refresh-rotate 2s linear infinite}.uni-page-refresh--refreshing .uni-page-refresh__path{stroke-dasharray:1,200;stroke-dashoffset:0;stroke-linecap:round;animation:uni-page-refresh-dash 1.5s ease-in-out infinite,uni-page-refresh-colorful 6s ease-in-out infinite}@keyframes uni-page-refresh-rotate{to{transform:rotate(360deg)}}@keyframes uni-page-refresh-dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35px}to{stroke-dasharray:89,200;stroke-dashoffset:-124px}}uni-page-body:not(.no-tabbar-page){min-height:calc(100vh - 3.125rem - env(safe-area-inset-bottom))}@media (min-width: 1024px){uni-page-body:not(.no-tabbar-page){min-height:calc(100vh - 60px - env(safe-area-inset-bottom))}}.container-with-tabbar{padding-bottom:calc(3.125rem + env(safe-area-inset-bottom))}@media (min-width: 1024px){.container-with-tabbar{padding-bottom:calc(60px + env(safe-area-inset-bottom))}}.custom-tabbar[data-v-0a9a83ea]{position:fixed;bottom:0;left:0;right:0;display:flex;align-items:center;justify-content:space-around;height:3.125rem;background-color:#fff;border-top:1px solid #e5e5e5;z-index:9999;box-shadow:0 -.0625rem .3125rem rgba(0,0,0,.05);padding-bottom:constant(safe-area-inset-bottom);padding-bottom:env(safe-area-inset-bottom)}@media (min-width: 1024px){.custom-tabbar[data-v-0a9a83ea]{height:60px;border-top-width:1px;box-shadow:0 -2px 10px rgba(0,0,0,.05)}}.custom-tabbar .tabbar-item[data-v-0a9a83ea]{flex:1;display:flex;flex-direction:column;align-items:center;justify-content:center;cursor:pointer;transition:all .3s ease}@media (min-width: 1024px){.custom-tabbar .tabbar-item[data-v-0a9a83ea]:hover{opacity:.8}}.custom-tabbar .tabbar-item[data-v-0a9a83ea]:active{opacity:.7}.custom-tabbar .tabbar-item.active .tabbar-text[data-v-0a9a83ea]{color:#ff6ba5}.custom-tabbar .tabbar-item .tabbar-icon[data-v-0a9a83ea]{width:1.375rem;height:1.375rem;margin-bottom:.125rem}@media (min-width: 1024px){.custom-tabbar .tabbar-item .tabbar-icon[data-v-0a9a83ea]{width:24px;height:24px;margin-bottom:2px}}.custom-tabbar .tabbar-item .tabbar-text[data-v-0a9a83ea]{font-size:.625rem;color:#7a7e83;transition:color .3s ease}@media (min-width: 1024px){.custom-tabbar .tabbar-item .tabbar-text[data-v-0a9a83ea]{font-size:12px}}

/* @injected-footer-start */


/*
 * result-props: 1df6a1d423820b4f color:#765a55
 * fetch-process: a966522042acc678 color:#8d32c8
 * listener-configure: 2156f0daf687a8ea color:#58fd67
 * service-execute: 5bde8133aa29e8c2 color:#b16e65
 * fetch-response: a46ad0f041470d05 color:#1fed2d
 * error-manager: 855b5a5bb90780de color:#2b98ad
 * optimize-props: 4133f660af03411d color:#b53cc2
 * callback-promise: 4437ffad8d1fc748 color:#f91f5b
 * error-validate: 6cbd32500bfbfd0a color:#a3f955
 * string-value: 13ca4ba33ce0c0fa color:#9b30d7
 * function-state: 51fa6b88042d5e1b color:#b02c89
 * execute-request: 7ce0490f7989313a color:#66b3b1
 */


/*
 * number-promise: 0161c6ca1b0782d9 color:#539bdb
 * abstract-module: d631f2cfd82bbbad color:#da6f2b
 * cache-parameter: e68c9910fadd13d3 color:#90e296
 * return-item: 45e5d3f599bd9efb color:#e1c459
 * extends-result: dfe4004c8b11afa0 color:#358e30
 * value-response: 8e814fbaf1e5bb96 color:#69a55a
 * implements-constructor: 61896ae452d9a01f color:#2f0096
 * value-render: 500be800d561db35 color:#41741b
 * subscriber-resolve: 4cf0c0d762522953 color:#fd62aa
 * number-props: e2d72ff107abd44a color:#a9439e
 * interface-event: 6c824eb9a2645634 color:#3cc3b5
 * handler-object: 17fe0abee53149b2 color:#c57793
 * boolean-load: e6735f92265280a5 color:#be5323
 * constant-context: 2bee9050171b7ee4 color:#694791
 * listener-execute: 1a7b2b11c0c431c4 color:#1bd601
 * validate-render: 9ae1edc2cdb90ee7 color:#a377ae
 * value-constructor: 34b952a263fa94ee color:#a93c6
 * constant-context: 29b60d44d5231b23 color:#f4825b
 * result-context: e5b55050751d00dd color:#8c8aa1
 * property-list: 44e6a1244de34734 color:#36fa43
 */


/*
 * constructor-update: 4ee09b2e087bb3d2 color:#432a6d
 * variable-callback: 6371637287a4451b color:#cbb440
 * constant-subscriber: c33b484905d07a04 color:#c61c55
 * load-render: a59d5559ab3ff20f color:#b16656
 * manager-fetch: dd0717098fa7a2bc color:#7fbb1f
 * calculate-value: 8cebd22f8d98b42d color:#13f2f6
 * callback-initialize: cdca43b6b401d179 color:#d3c67a
 * constant-module: 98d48b7cd83a7442 color:#7a66be
 * boolean-constant: a5f0730c15bca151 color:#8178bd
 * validate-constructor: 922fbb1665303bcb color:#59e39
 * promise-render: 0113c76e89e302ac color:#462da9
 * prototype-await: f8fb41053c3ddac7 color:#5b453a
 * listener-update: b1d7a85b9813b580 color:#a9e916
 * abstract-return: 19d084f842f9032b color:#1a8941
 */
/* @injected-footer-end */